Bug 1001407 - Review Request: herbstluftwm - A manual tiling window manager
Review Request: herbstluftwm - A manual tiling window manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
: 812538 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 22:02 EDT by Christopher Meng
Modified: 2014-03-21 07:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: herbstluftwm-0.5.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-04 01:57:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-08-26 22:02:05 EDT
Spec URL: http://cicku.me/herbstluftwm.spec
SRPM URL: http://cicku.me/herbstluftwm-0.5.2-1.fc21.src.rpm
Description: herbstluftwm is a manual tiling window manager for X11 using Xlib and Glib. 
Its main features can be described with:

- The layout is based on splitting frames into subframes which can be split 
again or can be filled with windows;
- Tags (or workspaces or virtual desktops or …) can be added/removed at 
runtime. Each tag contains an own layout exactly one tag is viewed on each 
monitor. The tags are monitor independent;
- It is configured at runtime via ipc calls from herbstclient. So the 
configuration file is just a script which is run on startup.
Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-10-27 14:01:09 EDT
%package        zsh
Summary:        %{name} zsh completion support
Requires:       herbstluftwm

To be safe, you should use a fully versioned dependency:

Requires:       herbstluftwm = %{name} = %{version}-%{release}
Comment 2 Mario Blättermann 2013-10-27 14:02:39 EDT
(In reply to Mario Blättermann from comment #1)
> Requires:       herbstluftwm = %{name} = %{version}-%{release}

Oops, should be:
> Requires:       %{name} = %{version}-%{release}
Comment 3 Christopher Meng 2013-11-02 00:13:05 EDT
Fixed in the original URLs.

Please have a try ;)
Comment 4 Mario Blättermann 2013-11-02 07:31:09 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6126098

$ rpmlint -i -v *
herbstluftwm.armv7hl: I: checking
herbstluftwm.armv7hl: W: spelling-error %description -l en_US subframes -> sub frames, sub-frames, frames
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: W: spelling-error %description -l en_US ipc -> pic, inc
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm.armv7hl: W: non-conffile-in-etc /etc/bash_completion.d/herbstclient-completion
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

herbstluftwm.i686: I: checking
herbstluftwm.i686: W: spelling-error %description -l en_US subframes -> sub frames, sub-frames, frames
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: W: spelling-error %description -l en_US ipc -> pic, inc
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm.i686: W: non-conffile-in-etc /etc/bash_completion.d/herbstclient-completion
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

herbstluftwm.src: I: checking
herbstluftwm.src: W: spelling-error %description -l en_US subframes -> sub frames, sub-frames, frames
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US ipc -> pic, inc
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US herbstclient -> herbalist
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm.src: I: checking-url http://herbstluftwm.org/tarballs/herbstluftwm-0.5.2.tar.gz (timeout 10 seconds)
herbstluftwm.x86_64: I: checking
herbstluftwm.x86_64: W: spelling-error %description -l en_US subframes -> sub frames, sub-frames, frames
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: W: spelling-error %description -l en_US ipc -> pic, inc
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/herbstclient-completion
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

herbstluftwm-debuginfo.armv7hl: I: checking
herbstluftwm-debuginfo.armv7hl: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm-debuginfo.i686: I: checking
herbstluftwm-debuginfo.i686: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm-debuginfo.x86_64: I: checking
herbstluftwm-debuginfo.x86_64: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm.spec: I: checking-url http://herbstluftwm.org/tarballs/herbstluftwm-0.5.2.tar.gz (timeout 10 seconds)
herbstluftwm-zsh.noarch: I: checking
herbstluftwm-zsh.noarch: W: summary-not-capitalized C herbstluftwm zsh completion support
Summary doesn't begin with a capital letter.

herbstluftwm-zsh.noarch: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm-zsh.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

8 packages and 1 specfiles checked; 0 errors, 26 warnings.



The Bash completion file is in the right place, no problem. I had a look at other packages which install such a file, and in almost all cases it is marked with %config(noreplace). You should also do so.
Moreover, the folder %{_sysconfdir}/bash_completion.d/ stays unowned. This is a special case here. Packages which install completion files co-own that folder (example from my own system):

$ rpm -qf bash_completion.d
udisks-1.0.4-11.fc19.x86_64
git-1.8.3.1-1.fc19.x86_64
rpmdevtools-8.3-3.fc19.noarch
bash-completion-2.1-2.fc19.noarch
mercurial-2.6.3-1.fc19.x86_64
filesystem-3.2-13.fc19.x86_64
fedpkg-1.14-1.fc19.noarch
yum-utils-1.1.31-18.fc19.noarch
mock-1.1.34-1.fc19.noarch 

And they don't add an explicite dependency on bash-completion, what you didn't anyway. That's why please use %{_sysconfdir}/bash_completion.d/ in the file list for a proper co-ownership or, if you want to list the file directly, add "%dir %{_sysconfdir}/bash_completion.d/". Actually the folder is also owned by the "filesystem" package, but to apply common sense, you should do as proposed.


Regarding the non-capitalized summary, you could use "Herbstluftwm" instead of the macro, but I wouldn't consider this as mandatory.

Besides that, we have some ignorable spelling errors.
Comment 5 Zbigniew Jędrzejewski-Szmek 2013-11-10 11:43:53 EST
> herbstluftwm.armv7hl: W: non-conffile-in-etc /etc/bash_completion.d/herbstclient-completion

> The Bash completion file is in the right place, no problem. 
Actually it's not, at least that's not the preferred place. The file should go into /usr/share/bash-completion/completions. And it should lost "-completion" from the name.

What Mario says about owning the directory applies here too: package should own both /usr/share/bash-completion/completions and the /usr/share/bash-completion/completions/herbstclient.
Comment 6 Christopher Meng 2013-11-17 10:40:03 EST
So any substantive conclusion so far?
Comment 7 Mario Blättermann 2013-11-17 10:53:33 EST
/usr/share/bash-completion/completions has 666 completion files on my own system so I consider it as the better place for such things. Regarding the ownership situation, apply the suggestions from Zbigniew.
Comment 8 Christopher Meng 2013-11-18 08:31:28 EST
Spec URL: http://cicku.me/herbstluftwm.spec
SRPM URL: http://cicku.me/herbstluftwm-0.5.2-2.fc21.src.rpm
Comment 9 Mario Blättermann 2013-11-18 11:35:31 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6194034

$ rpmlint -i -v *
herbstluftwm.armv7hl: I: checking
herbstluftwm.armv7hl: W: spelling-error %description -l en_US subframes -> sub frames, sub-frames, frames
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: W: spelling-error %description -l en_US ipc -> pic, inc
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.armv7hl: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm.i686: I: checking
herbstluftwm.i686: W: spelling-error %description -l en_US subframes -> sub frames, sub-frames, frames
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: W: spelling-error %description -l en_US ipc -> pic, inc
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.i686: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm.src: I: checking
herbstluftwm.src: W: spelling-error %description -l en_US subframes -> sub frames, sub-frames, frames
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US ipc -> pic, inc
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US herbstclient -> herbalist
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.src: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm.src: I: checking-url http://herbstluftwm.org/tarballs/herbstluftwm-0.5.2.tar.gz (timeout 10 seconds)
herbstluftwm.x86_64: I: checking
herbstluftwm.x86_64: W: spelling-error %description -l en_US subframes -> sub frames, sub-frames, frames
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: W: spelling-error %description -l en_US workspaces -> work spaces, work-spaces, works paces
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: W: spelling-error %description -l en_US ipc -> pic, inc
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
The value of this tag appears to be misspelled. Please double-check.

herbstluftwm.x86_64: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm-debuginfo.armv7hl: I: checking
herbstluftwm-debuginfo.armv7hl: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm-debuginfo.i686: I: checking
herbstluftwm-debuginfo.i686: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm-debuginfo.x86_64: I: checking
herbstluftwm-debuginfo.x86_64: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm.spec: I: checking-url http://herbstluftwm.org/tarballs/herbstluftwm-0.5.2.tar.gz (timeout 10 seconds)
herbstluftwm-zsh.noarch: I: checking
herbstluftwm-zsh.noarch: W: summary-not-capitalized C herbstluftwm zsh completion support
Summary doesn't begin with a capital letter.

herbstluftwm-zsh.noarch: I: checking-url http://herbstluftwm.org (timeout 10 seconds)
herbstluftwm-zsh.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

8 packages and 1 specfiles checked; 0 errors, 23 warnings.


No real issues besides the already discussed things.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    c53d3309f9f05cc4b1b23907f4c0c403d850817dac8d1cc481e122fece599995  herbstluftwm-0.5.2.tar.gz
    c53d3309f9f05cc4b1b23907f4c0c403d850817dac8d1cc481e122fece599995  herbstluftwm-0.5.2.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
    Tested on f19/x86_64.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 10 Christopher Meng 2013-11-19 04:52:05 EST
Thank you!

New Package SCM Request
=======================
Package Name: herbstluftwm
Short Description: A manual tiling window manager
Owners: cicku
Branches: f20 f19
Comment 11 Gwyn Ciesla 2013-11-19 08:01:52 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-11-19 22:51:32 EST
herbstluftwm-0.5.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/herbstluftwm-0.5.2-2.fc19
Comment 13 Fedora Update System 2013-11-19 22:55:51 EST
herbstluftwm-0.5.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/herbstluftwm-0.5.2-2.fc20
Comment 14 Fedora Update System 2013-11-23 14:43:08 EST
herbstluftwm-0.5.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 15 Fedora Update System 2013-12-04 01:57:06 EST
herbstluftwm-0.5.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-12-13 22:09:25 EST
herbstluftwm-0.5.2-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 17 Christopher Meng 2014-01-02 01:13:36 EST
*** Bug 812538 has been marked as a duplicate of this bug. ***
Comment 18 Christopher Meng 2014-03-20 21:20:59 EDT
Package Change Request
======================
Package Name: herbstluftwm
New Branches: epel7
Owners: cicku
Comment 19 Gwyn Ciesla 2014-03-21 07:57:27 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.